svn commit: trunk/busybox/scripts
vda at busybox.net
vda at busybox.net
Mon Aug 6 05:18:03 PDT 2007
Author: vda
Date: 2007-08-06 05:18:01 -0700 (Mon, 06 Aug 2007)
New Revision: 19410
Log:
trylink: s/&& exit 1/|| exit 1/ (spotted by Alex Landau <landau_alex at yahoo.com>)
Modified:
trunk/busybox/scripts/trylink
Changeset:
Modified: trunk/busybox/scripts/trylink
===================================================================
--- trunk/busybox/scripts/trylink 2007-08-06 03:41:08 UTC (rev 19409)
+++ trunk/busybox/scripts/trylink 2007-08-06 12:18:01 UTC (rev 19410)
@@ -60,7 +60,7 @@
# Make the binary with final, minimal list of libs
echo "Final link with: $BBOX_LIB_LIST"
l_list=`echo "$BBOX_LIB_LIST" | sed -e 's/ / -l/g' -e 's/^/-l/'`
- try "-Wl,--start-group $l_list -Wl,--end-group" "$@" && exit 1
+ try "-Wl,--start-group $l_list -Wl,--end-group" "$@" || exit 1
}
rm busybox_ld.err
exit 0 # Ensure "success" exit code
More information about the busybox-cvs
mailing list